#ifndef _NCL_SCRIPT_H
#define _NCL_SCRIPT_H 1

#include <nwdsbuft.h>
#include <stdio.h>

#define NO_TREE_DEFINED  	0xF001;
#define NO_CONTEXT_DEFINED  	0xF002;
#define NO_USER_DEFINED  	0xF003;
#define SCRIPT_PARSING_ERROR       1

typedef struct scriptinfo {
   char * var2;
   char * var3;
   char * var4;
   char * var5;
   char * treename;
   char * context;
   char * user;
   char * profileScript;
   char * loginScript;
   char * server;
   char * password;
   int useGUI;  // 0=Use GUI 1=no GUI
} scriptinfo_t ;

//----------------
// external APIs
//----------------
int ncl_init(FILE * in, FILE * out);
int ncl_RunScripts(struct scriptinfo * info);
int ncl_ReadResults(char ** results);

#endif /* _NCL_SCRIPT_H */
